% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/modifyData.R
\name{selectValid}
\alias{selectValid}
\title{Map variable time OS status to status at cutoff}
\usage{
selectValid(
  df,
  cutoff = 2,
  timeVar = "years_to_event",
  osVar = "st_osMAP",
  targetVar = "osAtCutoff"
)
}
\arguments{
\item{df}{data frame}

\item{cutoff}{time instance where OS is evaluated, same units as timeVar}

\item{timeVar}{name of column where times of status evaluation are recorded (from treatment start)}

\item{osVar}{name of column with status at evaluation (1-alive/progress free, 2-censored, 3-dead/w/disease)}

\item{targetVar}{name of target variable holding status at cutoff (0-dead, 1-alive, 2-censored)}
}
\value{
updated data frame with targetVar
}
\description{
Map variable time OS status to status at cutoff
}
